# -*- encoding: utf-8 -*-
#################################################################################
#                                                                               #
#                                                                               #
#    This program is free software: you can redistribute it and/or modify       #
#    it under the terms of the GNU Affero General Public License as             #
#    published by the Free Software Foundation, either version 3 of the         #
#    License, or (at your option) any later version.                            #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Affero General Public License for more details.                        #
#                                                                               #
#    You should have received a copy of the GNU Affero General Public License   #
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
#                                                                               #
#################################################################################

from openerp import models, fields, api

class account_invoice(models.Model):
    _inherit = 'account.invoice'
    _name = 'account.invoice'

    contado = fields.Boolean('Contado')
    credito = fields.Boolean('Crédito')

    _defaults = {
        'contado': True
    }

    @api.one
    @api.onchange('credito')
    def cambiar_estado_credito(self):
        self.contado = not self.credito

    @api.one
    @api.onchange('contado')
    def cambiar_estado_contado(self):
        self.credito = not self.contado
